Package org.eclipse.net4j.util.ui.actions

# Class LongRunningAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.net4j.util.ui.actions.SafeAction
org.eclipse.net4j.util.ui.actions.LongRunningAction

All Implemented Interfaces:
  `IAction`

Direct Known Subclasses:
  `ElementWizardAction`

public abstract class LongRunningAction extends SafeAction

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

`INTERACTIVE`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`LongRunningAction()`
`LongRunningAction(String text)`
`LongRunningAction(String text, int style)`
`LongRunningAction(String text, String toolTipText)`
`LongRunningAction(String text, String toolTipText, ImageDescriptor image)`
`LongRunningAction(String text, ImageDescriptor image)`
`LongRunningAction(IWorkbenchPage page)`
`LongRunningAction(IWorkbenchPage page, String text)`
`LongRunningAction(IWorkbenchPage page, String text, int style)`
`LongRunningAction(IWorkbenchPage page, String text, String toolTipText)`
`LongRunningAction(IWorkbenchPage page, String text, String toolTipText, ImageDescriptor image)`
`LongRunningAction(IWorkbenchPage page, String text, ImageDescriptor image)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`cancel()`
`protected final void`
`checkCancelation(IProgressMonitor monitor)`
`protected abstract void`
`doRun(IProgressMonitor progressMonitor)`
`protected String`
`getBundleID()`
`Display`
`getDisplay()`
`protected String`
`getErrorMessage(Exception ex)`
`protected String`
`getErrorTitle(Exception ex)`
`IWorkbenchPage`
`getPage()`
`Shell`
`getShell()`
`protected final int`
`getTotalWork()`
Deprecated.
Not supported anymore.
`IWorkbenchWindow`
`getWorkbenchWindow()`
`protected void`
`preRun()`
`protected final void`
`safeRun()`
`void`
`setPage(IWorkbenchPage page)`
`protected final void`
`setTotalWork(int totalWork)`
Deprecated.
Not supported anymore.

### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

`run`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongRunningAction

public LongRunningAction(IWorkbenchPage page)

### LongRunningAction

public LongRunningAction(IWorkbenchPage page, String text, String toolTipText, ImageDescriptor image)

### LongRunningAction

public LongRunningAction(IWorkbenchPage page, String text, ImageDescriptor image)

### LongRunningAction

public LongRunningAction(IWorkbenchPage page, String text, String toolTipText)

### LongRunningAction

public LongRunningAction(IWorkbenchPage page, String text, int style)

### LongRunningAction

public LongRunningAction(IWorkbenchPage page, String text)

### LongRunningAction

public LongRunningAction()

### LongRunningAction

public LongRunningAction(String text, ImageDescriptor image)

### LongRunningAction

public LongRunningAction(String text, int style)

### LongRunningAction

public LongRunningAction(String text, String toolTipText, ImageDescriptor image)

### LongRunningAction

public LongRunningAction(String text, String toolTipText)

### LongRunningAction

public LongRunningAction(String text)

## Method Details

### getPage

public IWorkbenchPage getPage()

### setPage

public void setPage(IWorkbenchPage page)

### getWorkbenchWindow

public IWorkbenchWindow getWorkbenchWindow()

### getDisplay

public Display getDisplay()

Since:
  2.0

### getShell

public Shell getShell()

Overrides:
  `getShell` in class `SafeAction`

### getTotalWork

@Deprecated protected final int getTotalWork()
Deprecated.
Not supported anymore.

### setTotalWork

@Deprecated protected final void setTotalWork(int totalWork)
Deprecated.
Not supported anymore.

### cancel

protected final void cancel()

### safeRun

protected final void safeRun() throws Exception

Specified by:
  `safeRun` in class `SafeAction`
Throws:
  `Exception`

### preRun

protected void preRun() throws Exception

Throws:
  `Exception`

### getBundleID

protected String getBundleID()

### getErrorTitle

protected String getErrorTitle(Exception ex)

Since:
  3.12

### getErrorMessage

protected String getErrorMessage(Exception ex)

Since:
  3.12

### doRun

protected abstract void doRun(IProgressMonitor progressMonitor) throws Exception

Throws:
  `Exception`
Since:
  2.0

### checkCancelation

protected final void checkCancelation(IProgressMonitor monitor)